Up-to-date python-openstackclient missing from Juno archive

Bug #1486947 reported by Matteo Panella on 2015-08-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned

Bug Description

The Juno archive lacks an up-to-date version of python-openstackclient, causing apt to fall back to the ancient 0.3.0 version present in the universe section of the main archive.
This causes automated deployments via Stackforge Puppet classes to fail during some points because some of the command line arguments passed to it were implemented post-0.4.

The Kilo archive ships python-openstackclient 1.0.3, perhaps the Juno archive should ship the same version (it _should_ be compatible with the Python clients shipped in the Juno archive).

James Page (james-page) wrote :

Unfortunately policy dictates that we can't introduce an arbitary new package and/or version to the Cloud Archive (which follows the same policy as for Ubuntu stable updates).

Marking 'Won't Fix'.

Changed in cloud-archive:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers